> ## Documentation Index
> Fetch the complete documentation index at: https://support.lilt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Job Leverage Stats

> Get the TM leverage stats for the job (new/exact/fuzzy matches).

Example CURL command:

```bash
curl -X POST 'https://api.lilt.com/v2/jobs/{id}/stats?key=API_KEY'
```



## OpenAPI

````yaml /api-reference/openapi-bundled.yaml post /v2/jobs/{jobId}/stats
openapi: 3.0.3
info:
  title: LILT API
  description: >
    LILT API Support: https://lilt.atlassian.net/servicedesk/customer/portals


    The LILT API enables programmatic access to the full-range of LILT backend
    services including:
      * Training of and translating with interactive, adaptive machine translation
      * Large-scale translation memory
      * The Lexicon (a large-scale termbase)
      * Programmatic control of the LILT CAT environment
      * Translation memory synchronization


    Requests and responses are in JSON format. The REST API only responds to
    HTTPS / SSL requests.


    The base url for this REST API is `https://api.lilt.com/`.


    ## Authentication


    Requests are authenticated via API key, which requires the Business plan.


    Requests are authenticated using [HTTP Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication). Add your
    API key as both the `username` and `password`.


    For development, you may also pass the API key via the `key` query
    parameter. This is less secure than HTTP Basic Auth, and is not recommended
    for production use.


    ## Quotas


    Our services have a general quota of 4000 requests per minute. Should you
    hit the maximum requests per minute, you will need to wait 60 seconds before
    you can send another request.
  version: v3.0.3
  license:
    name: LILT Platform Terms and Conditions
    url: https://lilt.com/lilt-platform-terms-and-conditions
servers:
  - url: https://api.lilt.com
security:
  - BasicAuth: []
  - ApiKeyAuth: []
paths:
  /v2/jobs/{jobId}/stats:
    post:
      tags:
        - Jobs
      summary: Retrieve Job Leverage Stats
      description: |-
        Get the TM leverage stats for the job (new/exact/fuzzy matches).

        Example CURL command:

        ```bash
        curl -X POST 'https://api.lilt.com/v2/jobs/{id}/stats?key=API_KEY'
        ```
      operationId: getJobLeverageStats
      parameters:
        - name: jobId
          in: path
          description: A job id.
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: A job leverage stats object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobLeverageStats'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobLeverageStats:
      type: object
      properties:
        sourceWords:
          type: integer
          description: Total number of source words.
          example: 0
        exactWords:
          type: integer
          description: Total number of exact words.
          example: 0
        fuzzyWords:
          type: integer
          description: Total number of fuzzy words.
          example: 0
        newWords:
          type: integer
          description: Total number of new words.
          example: 0
        projects:
          type: array
          items:
            $ref: '#/components/schemas/ProjectStats'
      description: |
        A job leverage stats object shows an overview of job's statistical data
        including total number of exact words, fuzzy words, and exact words for
        the job in total and for each project.
    Error:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message describing the error.
      description: |
        Response in the event of an unexpected error.
      example:
        message: Internal server error.
    ProjectStats:
      required:
        - exactWords
        - fuzzyWords
        - id
        - newWords
        - sourceWords
      type: object
      properties:
        id:
          type: integer
          example: 1
        sourceWords:
          type: integer
          example: 1000
        exactWords:
          type: integer
          example: 800
        fuzzyWords:
          type: integer
          example: 150
        newWords:
          type: integer
          example: 50
  responses:
    UnauthorizedError:
      description: Unauthorized
      content:
        application/octet-stream:
          schema:
            type: string
        text/plain:
          schema:
            type: string
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      name: key
      in: query

````